package model

import (
	"time"
)

type TaCourseOrders struct {
	OrdersId     string    `xorm:"not null pk VARCHAR(64)"`
	OrdersNo     string    `xorm:"not null VARCHAR(32)"`
	CustomerId   string    `xorm:"VARCHAR(64)"`
	CustomerName string    `xorm:"VARCHAR(200)"`
	OrgId        string    `xorm:"VARCHAR(64)"`
	CaseId       string    `xorm:"VARCHAR(64)"`
	CourseId     string    `xorm:"VARCHAR(64)"`
	CourseName   string    `xorm:"VARCHAR(50)"`
	Price        string    `xorm:"DECIMAL(8,2)"`
	CourseNum    int       `xorm:"INT(11)"`
	JoinNum      int       `xorm:"INT(11)"`
	CreateDate   time.Time `xorm:"DATETIME"`
	Status       int       `xorm:"SMALLINT(6)"`
	PayType      string    `xorm:"VARCHAR(20)"`
	Address      string    `xorm:"VARCHAR(200)"`
	CourseDate   string    `xorm:"VARCHAR(200)"`
	Remark       string    `xorm:"TEXT"`
	IsPay        int       `xorm:"TINYINT(1)"`
	ActualAmount string    `xorm:"DECIMAL(8,2)"`
	CouponAmount string    `xorm:"DECIMAL(8,2)"`
}
